# sb::Text::autobreak
# == Author(s) : Takuya Otani <takuya.otani@gmail.com> ==
# == Copyright (C) 2005 SimpleBoxes/SerendipityNZ Ltd. ==

# ======================================
package sb::Text::autobreak;
use strict;
use sb::Text::Base ();
use base qw( sb::Text::Base );
use vars qw( $VERSION );
$VERSION = '0.01';
# 0.01 [2008/11/24] inherited sb::Text::Base
# 0.00 [2005/11/14] generated
# --------------------------------------
# // defines / static variables
sub LINE_BREAK (){ '<br />' };
# --------------------------------------
# // public functions - class methdos
sub autobreak
{
	my $class  = shift;
	my $text   = shift;
	my $option = shift;
	$option = LINE_BREAK if (!$option or ref($option));
	$text =~ s/\n/$option\n/g;
	return $text;
}
1;
__END__
